package hw4;

public class Main {
    public static void main(String[] args) {
        String schedule1 [][] = {{"monday", "task1", "task2"}, {"wednesday", "task3", "task4", "task5"}, {"friday", "task6"}};
        String schedule2 [][] = {{"thursday", "task7"}, {"saturday", "task8", "task9"}};
        String schedule3 [][] = {{"tuesday", "task10", "task11"}, {"friday", "task12", "task13", "task14"}, {"sunday", "task15"}};
        String schedule4 [][] = {{"monday", "task16", "task17"}, {"friday", "task18"}};
        String schedule5 [][] = {{"wednesday", "task19", "task20"}, {"saturday", "task21", "task22", "task23"}, {"sunday", "task24"}};
        String schedule6 [][] = {{"thursday", "task25", "task26"}, {"saturday", "task27", "task28", "task29"}};
        String schedule7 [][] = {{"monday", "task30", "task31"}, {"thursday", "task32", "task33", "task34"}, {"sunday", "task35"}};
        Human father1 = new Human("Bohdan", "Ivanenko", 1980, 82, schedule1);
        Human father2 = new Human("Semen", "Petrenko", 1978, 89, schedule2);
        Human mother1 = new Human("Maria", "Ivanenko", 1982, 75, schedule3);
        Human mother2 = new Human("Kateryna", "Petrenko", 1980, 91, schedule4);
        Human children1 = new Human("Taras", "Ivanenko", 2003, 82, schedule5);
        Human children2 = new Human("Stepan", "Petrenko", 2001, 89, schedule6);
        Human children3 = new Human("Krystyna", "Ivanenko", 2005, 82, schedule7);
        Pet pet1 = new Pet("Dog", "Sharick", 8, 48, new String[] {"play with ball", "eat meat"});
        Pet pet2 = new Pet("Cat", "Barsick", 6, 56, new String[] {"say 'Meow'", "eat fish"});
        System.out.println("----------HUMANS & PETS---------");
        System.out.println(father1.toString());
        System.out.println(mother1.toString());
        System.out.println(children1.toString());
        System.out.println(children3.toString());
        System.out.println(father2.toString());
        System.out.println(mother2.toString());
        System.out.println(children2.toString());
        System.out.println(pet1.toString());
        System.out.println(pet2.toString());
        System.out.println("----------FAMILIES FORMATTING---------");
        System.out.println("----------FAMILY1---------");
        Family family1 = new Family( mother1,father1 );
        System.out.println(family1);
        System.out.println(family1.countFamily());
        System.out.println("----------CHILDREN ADDING---------");
        family1.addChild(children1);
        family1.addChild(children3);
        System.out.println(family1);
        System.out.println(family1.countFamily());
        System.out.println("----------CHILDREN DELETING---------");
        family1.deleteNumChild(0);
        System.out.println(family1);
        System.out.println(family1.countFamily());
        System.out.println("----------PET ADDING---------");
        family1.setPet(pet1);
        System.out.println(family1);
        System.out.println("----------ACTION WITH PET---------");
        family1.getFather().describePet();
        family1.getMother().greetPet();
        family1.getPet().respond();
        family1.getPet().eat();
        family1.getPet().foul();
        System.out.println("----------ACTION WITH PET (random feeding)---------");
        family1.getPet().isFed(true);
        family1.getPet().isFed(false);
        System.out.println("----------FAMILY2---------");
        Family family2 = new Family( mother2,father2 );
        System.out.println(family2);
        System.out.println(family2.countFamily());
        System.out.println("----------CHILDREN ADDING---------");
        family2.addChild(children2);
        System.out.println(family2);
        System.out.println(family2.countFamily());
        System.out.println("----------CHILDREN DELETING---------");
        family2.deleteChild(children2);
        System.out.println(family2);
        System.out.println(family2.countFamily());
        System.out.println("----------PET ADDING---------");
        family2.setPet(pet2);
        System.out.println(family2);
        System.out.println("----------ACTION WITH PET---------");
        family2.getFather().describePet();
        family2.getMother().greetPet();
        family2.getPet().respond();
        family2.getPet().eat();
        family2.getPet().foul();
        System.out.println("----------ACTION WITH PET (random feeding)---------");
        family2.getPet().isFed(true);
        family2.getPet().isFed(false);
    }
}
